### Hierarchy

- unknown
  - BankAccountPayload

## Index

### Constructors

- constructor

### Methods

- clearAchTransferAccountPayload
- clearDomesticWireTransferAccountPayload
- clearNationalBankAccountPayload
- clearSameBankAccontPayload
- clearSpecificBanksAccountPayload
- getAccountNr
- getAccountType
- getAchTransferAccountPayload
- getBankId
- getBankName
- getBranchId
- getDomesticWireTransferAccountPayload
- getEmail
- getHolderName
- getHolderTaxId
- getMessageCase
- getNationalAccountId
- getNationalBankAccountPayload
- getSameBankAccontPayload
- getSpecificBanksAccountPayload
- hasAchTransferAccountPayload
- hasDomesticWireTransferAccountPayload
- hasNationalBankAccountPayload
- hasSameBankAccontPayload
- hasSpecificBanksAccountPayload
- serializeBinary
- setAccountNr
- setAccountType
- setAchTransferAccountPayload
- setBankId
- setBankName
- setBranchId
- setDomesticWireTransferAccountPayload
- setEmail
- setHolderName
- setHolderTaxId
- setNationalAccountId
- setNationalBankAccountPayload
- setSameBankAccontPayload
- setSpecificBanksAccountPayload
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new BankAccountPayload(): BankAccountPayload

- Inherited from jspb.Message.constructor

  #### Returns BankAccountPayload

## Methods

### clearAchTransferAccountPayload

- clearAchTransferAccountPayload(): BankAccountPayload

- - Defined in src/protobuf/pb_pb.d.ts:4607

  #### Returns BankAccountPayload

### clearDomesticWireTransferAccountPayload

- clearDomesticWireTransferAccountPayload(): BankAccountPayload

- - Defined in src/protobuf/pb_pb.d.ts:4612

  #### Returns BankAccountPayload

### clearNationalBankAccountPayload

- clearNationalBankAccountPayload(): BankAccountPayload

- - Defined in src/protobuf/pb_pb.d.ts:4592

  #### Returns BankAccountPayload

### clearSameBankAccontPayload

- clearSameBankAccontPayload(): BankAccountPayload

- - Defined in src/protobuf/pb_pb.d.ts:4597

  #### Returns BankAccountPayload

### clearSpecificBanksAccountPayload

- clearSpecificBanksAccountPayload(): BankAccountPayload

- - Defined in src/protobuf/pb_pb.d.ts:4602

  #### Returns BankAccountPayload

### getAccountNr

- getAccountNr(): string

- - Defined in src/protobuf/pb_pb.d.ts:4577

  #### Returns string

### getAccountType

- getAccountType(): string

- - Defined in src/protobuf/pb_pb.d.ts:4580

  #### Returns string

### getAchTransferAccountPayload

- getAchTransferAccountPayload(): undefined | AchTransferAccountPayload

- - Defined in src/protobuf/pb_pb.d.ts:4604

  #### Returns undefined | AchTransferAccountPayload

### getBankId

- getBankId(): string

- - Defined in src/protobuf/pb_pb.d.ts:4571

  #### Returns string

### getBankName

- getBankName(): string

- - Defined in src/protobuf/pb_pb.d.ts:4568

  #### Returns string

### getBranchId

- getBranchId(): string

- - Defined in src/protobuf/pb_pb.d.ts:4574

  #### Returns string

### getDomesticWireTransferAccountPayload

- getDomesticWireTransferAccountPayload(): undefined | DomesticWireTransferAccountPayload

- - Defined in src/protobuf/pb_pb.d.ts:4609

  #### Returns undefined | DomesticWireTransferAccountPayload

### getEmail

- getEmail(): string

- - Defined in src/protobuf/pb_pb.d.ts:4586

  #### Returns string

### getHolderName

- getHolderName(): string

- - Defined in src/protobuf/pb_pb.d.ts:4565

  #### Returns string

### getHolderTaxId

- getHolderTaxId(): string

- - Defined in src/protobuf/pb_pb.d.ts:4583

  #### Returns string

### getMessageCase

- getMessageCase(): BankAccountPayload . MessageCase

- - Defined in src/protobuf/pb_pb.d.ts:4617

  #### Returns BankAccountPayload . MessageCase

### getNationalAccountId

- getNationalAccountId(): string

- - Defined in src/protobuf/pb_pb.d.ts:4614

  #### Returns string

### getNationalBankAccountPayload

- getNationalBankAccountPayload(): undefined | NationalBankAccountPayload

- - Defined in src/protobuf/pb_pb.d.ts:4589

  #### Returns undefined | NationalBankAccountPayload

### getSameBankAccontPayload

- getSameBankAccontPayload(): undefined | SameBankAccountPayload

- - Defined in src/protobuf/pb_pb.d.ts:4594

  #### Returns undefined | SameBankAccountPayload

### getSpecificBanksAccountPayload

- getSpecificBanksAccountPayload(): undefined | SpecificBanksAccountPayload

- - Defined in src/protobuf/pb_pb.d.ts:4599

  #### Returns undefined | SpecificBanksAccountPayload

### hasAchTransferAccountPayload

- hasAchTransferAccountPayload(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:4606

  #### Returns boolean

### hasDomesticWireTransferAccountPayload

- hasDomesticWireTransferAccountPayload(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:4611

  #### Returns boolean

### hasNationalBankAccountPayload

- hasNationalBankAccountPayload(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:4591

  #### Returns boolean

### hasSameBankAccontPayload

- hasSameBankAccontPayload(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:4596

  #### Returns boolean

### hasSpecificBanksAccountPayload

- hasSpecificBanksAccountPayload(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:4601

  #### Returns boolean

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:4619

  #### Returns Uint8Array

### setAccountNr

- setAccountNr(value: string): BankAccountPayload

- - Defined in src/protobuf/pb_pb.d.ts:4578

  #### Parameters

  - ##### value: string

  #### Returns BankAccountPayload

### setAccountType

- setAccountType(value: string): BankAccountPayload

- - Defined in src/protobuf/pb_pb.d.ts:4581

  #### Parameters

  - ##### value: string

  #### Returns BankAccountPayload

### setAchTransferAccountPayload

- setAchTransferAccountPayload(value?: AchTransferAccountPayload ): BankAccountPayload

- - Defined in src/protobuf/pb_pb.d.ts:4605

  #### Parameters

  - ##### Optional value: AchTransferAccountPayload

  #### Returns BankAccountPayload

### setBankId

- setBankId(value: string): BankAccountPayload

- - Defined in src/protobuf/pb_pb.d.ts:4572

  #### Parameters

  - ##### value: string

  #### Returns BankAccountPayload

### setBankName

- setBankName(value: string): BankAccountPayload

- - Defined in src/protobuf/pb_pb.d.ts:4569

  #### Parameters

  - ##### value: string

  #### Returns BankAccountPayload

### setBranchId

- setBranchId(value: string): BankAccountPayload

- - Defined in src/protobuf/pb_pb.d.ts:4575

  #### Parameters

  - ##### value: string

  #### Returns BankAccountPayload

### setDomesticWireTransferAccountPayload

- setDomesticWireTransferAccountPayload(value?: DomesticWireTransferAccountPayload ): BankAccountPayload

- - Defined in src/protobuf/pb_pb.d.ts:4610

  #### Parameters

  - ##### Optional value: DomesticWireTransferAccountPayload

  #### Returns BankAccountPayload

### setEmail

- setEmail(value: string): BankAccountPayload

- - Defined in src/protobuf/pb_pb.d.ts:4587

  #### Parameters

  - ##### value: string

  #### Returns BankAccountPayload

### setHolderName

- setHolderName(value: string): BankAccountPayload

- - Defined in src/protobuf/pb_pb.d.ts:4566

  #### Parameters

  - ##### value: string

  #### Returns BankAccountPayload

### setHolderTaxId

- setHolderTaxId(value: string): BankAccountPayload

- - Defined in src/protobuf/pb_pb.d.ts:4584

  #### Parameters

  - ##### value: string

  #### Returns BankAccountPayload

### setNationalAccountId

- setNationalAccountId(value: string): BankAccountPayload

- - Defined in src/protobuf/pb_pb.d.ts:4615

  #### Parameters

  - ##### value: string

  #### Returns BankAccountPayload

### setNationalBankAccountPayload

- setNationalBankAccountPayload(value?: NationalBankAccountPayload ): BankAccountPayload

- - Defined in src/protobuf/pb_pb.d.ts:4590

  #### Parameters

  - ##### Optional value: NationalBankAccountPayload

  #### Returns BankAccountPayload

### setSameBankAccontPayload

- setSameBankAccontPayload(value?: SameBankAccountPayload ): BankAccountPayload

- - Defined in src/protobuf/pb_pb.d.ts:4595

  #### Parameters

  - ##### Optional value: SameBankAccountPayload

  #### Returns BankAccountPayload

### setSpecificBanksAccountPayload

- setSpecificBanksAccountPayload(value?: SpecificBanksAccountPayload ): BankAccountPayload

- - Defined in src/protobuf/pb_pb.d.ts:4600

  #### Parameters

  - ##### Optional value: SpecificBanksAccountPayload

  #### Returns BankAccountPayload

### toObject

- toObject(includeInstance?: boolean): BankAccountPayload . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:4620

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns BankAccountPayload . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): BankAccountPayload

- - Defined in src/protobuf/pb_pb.d.ts:4623

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns BankAccountPayload

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: BankAccountPayload, reader: BinaryReader): BankAccountPayload

- - Defined in src/protobuf/pb_pb.d.ts:4624

  #### Parameters

  - ##### message: BankAccountPayload

  - ##### reader: BinaryReader

  #### Returns BankAccountPayload

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: BankAccountPayload, writer: BinaryWriter): void

- - Defined in src/protobuf/pb_pb.d.ts:4622

  #### Parameters

  - ##### message: BankAccountPayload

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: BankAccountPayload ): BankAccountPayload . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:4621

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: BankAccountPayload

  #### Returns BankAccountPayload . AsObject

Generated using TypeDoc